library IEEE;
use IEEE.std_logic_1164.all;

entity four_bit_stim is
end four_bit_stim;

architecture Test of four_bit_stim is
component four_bit_full_adder
  port (a,b : in STD_LOGIC_VECTOR(3 downto 0);
        cin : in STD_LOGIC;
        s   : out STD_LOGIC_VECTOR(3 downto 0);
        cout: out STD_LOGIC);
end component;

  signal a_test, b_test, s_test: STD_LOGIC_VECTOR(3 downto 0); 
  signal cin_test, cout_test: STD_LOGIC;

-- 
-- Deklarieren Sie hier die entsprechende Testsignale
-- Testignale generiert!
---

begin
  my_four_bit_full_adder: four_bit_full_adder port map(
         a => a_test,
	 b => b_test,
	 cin => cin_test,
	 s => s_test,
	 cout => cout_test 
  );
-- 
-- Ordnen Sie hier der Komponente four_bit_full_adder die Signale zu
--

  a_test <= "0001" after 0 ns,
	    "0010" after 2 ns,
	    "0100" after 4 ns,
	    "1000" after 6 ns,
	    "0101" after 8 ns,
	    "1011" after 10 ns,
	    "1111" after 12 ns,
	    "1011" after 14 ns,
	    "0111" after 16 ns,
	    "1010" after 18 ns,
	    "0101" after 20 ns,
	    "1100" after 22 ns,
	    "1101" after 24 ns,
	    "1100" after 26 ns,
	    "0011" after 28 ns,
	    "1110" after 30 ns;
  b_test <= "0001" after 0 ns,
	    "0010" after 2 ns,
	    "0100" after 4 ns,
	    "1000" after 6 ns,
	    "0111" after 8 ns,
	    "1111" after 10 ns,
	    "1011" after 12 ns,
	    "1001" after 14 ns,
	    "0011" after 16 ns,
	    "0010" after 18 ns,
	    "1101" after 20 ns,
	    "1101" after 22 ns,
	    "0101" after 24 ns,
	    "1110" after 26 ns,
	    "0010" after 28 ns,
	    "0000" after 30 ns;
  cin_test <= '0' after 0 ns;
                                               
-- 
-- Fuegen Sie hier die noetigen Signalzuweisungen ein
-- Signalzuweisungen eingefuegt!
--

end Test;
