library IEEE;
use IEEE.std_logic_1164.all;

entity Mux_2_1 is
  port (a,b : in STD_LOGIC;
        s   : in STD_LOGIC;
        q   : out STD_LOGIC
        );
end Mux_2_1;

architecture behaviour_bool of Mux_2_1 is
begin
  q <= (a and (not s)) or (b and s);  
end behaviour_bool;

architecture behaviour_process of Mux_2_1 is
begin
  Mux: 
  process (a,b,s)
  begin
    if (s='1') then
      q <= b;
    else
      q <= a;
    end if;   
  end process;
end behaviour_process;
