library IEEE;
use IEEE.std_logic_1164.all;

entity mux_4_1 is
  port (a,b,c,d,s1,s2 : in STD_LOGIC;
        q: out STD_LOGIC
  );
end mux_4_1;

architecture behaviour_bool of mux_4_1 is

  component mux_2_1
    port (a,b,s : in STD_LOGIC;
          q     : out STD_LOGIC
    );
  end component;

  signal q1,q2 : STD_LOGIC;

begin

  mux_2_1_1: mux_2_1 port map(
    a => a,
    b => b,
    s => s1,
    q => q1
  );
  
  mux_2_1_2: mux_2_1 port map(
    a => c,
    b => d,
    s => s1,
    q => q2
  );
  
  mux_2_1_3: mux_2_1 port map(
    a => q1,
    b => q2,
    s => s2,
    q => q
  );

end behaviour_bool;
