library IEEE;
use IEEE.std_logic_1164.all;

entity mux2_stim is
end mux2_stim;

architecture Test of mux2_stim is
  component mux_2_1
    port (a,b,s : in STD_LOGIC;
          q : out STD_LOGIC);
  end component;

  signal a_test, b_test, s_test, q_test: STD_LOGIC;

begin
  my_mux_2_1: mux_2_1 port map(
   				 a => a_test,
				 b => b_test,
				 s => s_test,
				 q => q_test);

  a_test <= '0' after 0 ns,
	    '1' after 1 ns,
	    '0' after 2 ns,
	    '1' after 3 ns,
	    '0' after 4 ns,
	    '1' after 5 ns,
	    '0' after 6 ns,
	    '1' after 7 ns;
  b_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '1' after 2 ns,
	    '1' after 3 ns,
	    '0' after 4 ns,
	    '0' after 5 ns,
	    '1' after 6 ns,
	    '1' after 7 ns;
  s_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '0' after 2 ns,
	    '0' after 3 ns,
	    '1' after 4 ns,
	    '1' after 5 ns,
	    '1' after 6 ns,	    
	    '1' after 7 ns;	    
	   
end Test;
