library IEEE;
use IEEE.std_logic_1164.all;

entity mux_4_1_stim is
end mux_4_1_stim;

architecture Test of mux_4_1_stim is
  component mux_4_1
    port (a,b,c,d,s1,s2 : in STD_LOGIC;
          q : out STD_LOGIC);
  end component;

  signal a_test, b_test, c_test, d_test, s1_test, s2_test, q_test: STD_LOGIC;

begin
  my_mux_4_1: mux_4_1 port map(
   				 a => a_test,
				 b => b_test,
				 c => c_test,
				 d => d_test,
				 s1 => s1_test,
				 s2 => s2_test,
				 q => q_test);

  a_test <= '0' after 0 ns,
	    '1' after 1 ns,
	    '0' after 2 ns,
	    '1' after 3 ns,
	    '0' after 4 ns,
	    '1' after 5 ns,
	    '0' after 6 ns,
	    '1' after 7 ns,
            '0' after 8 ns,
	    '1' after 9 ns,
	    '0' after 10 ns,
	    '1' after 11 ns,
	    '0' after 12 ns,
	    '1' after 13 ns,
	    '0' after 14 ns,
	    '1' after 15 ns;
  b_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '1' after 2 ns,
	    '1' after 3 ns,
	    '0' after 4 ns,
	    '0' after 5 ns,
	    '1' after 6 ns,
	    '1' after 7 ns,
            '0' after 8 ns,
	    '0' after 9 ns,
	    '1' after 10 ns,
	    '1' after 11 ns,
	    '0' after 12 ns,
	    '0' after 13 ns,
	    '1' after 14 ns,
	    '1' after 15 ns;
  c_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '0' after 2 ns,
	    '0' after 3 ns,
	    '1' after 4 ns,
	    '1' after 5 ns,
	    '1' after 6 ns,	    
	    '1' after 7 ns,	    
            '0' after 8 ns,
	    '0' after 9 ns,
	    '0' after 10 ns,
	    '0' after 11 ns,
	    '1' after 12 ns,
	    '1' after 13 ns,
	    '1' after 14 ns,
	    '1' after 15 ns;
  d_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '0' after 2 ns,
	    '0' after 3 ns,
	    '0' after 4 ns,
	    '0' after 5 ns,
	    '0' after 6 ns,	    
	    '0' after 7 ns,	    
            '1' after 8 ns,
	    '1' after 9 ns,
	    '1' after 10 ns,
	    '1' after 11 ns,
	    '1' after 12 ns,
	    '1' after 13 ns,
	    '1' after 14 ns,
	    '1' after 15 ns;
 s1_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '0' after 2 ns,
	    '0' after 3 ns,
	    '1' after 4 ns,
	    '1' after 5 ns,
	    '1' after 6 ns,	    
	    '1' after 7 ns,	    
            '0' after 8 ns,
	    '0' after 9 ns,
	    '0' after 10 ns,
	    '0' after 11 ns,
	    '1' after 12 ns,
	    '1' after 13 ns,
	    '1' after 14 ns,
	    '1' after 15 ns;
 s2_test <= '0' after 0 ns,
	    '0' after 1 ns,
	    '0' after 2 ns,
	    '0' after 3 ns,
	    '0' after 4 ns,
	    '0' after 5 ns,
	    '0' after 6 ns,	    
	    '0' after 7 ns,	    
            '1' after 8 ns,
	    '1' after 9 ns,
	    '1' after 10 ns,
	    '1' after 11 ns,
	    '1' after 12 ns,
	    '1' after 13 ns,
	    '1' after 14 ns,
	    '1' after 15 ns;
	   
end Test;
